---
navigation_title: "Processing commands"
mapped_pages:
  - https://www.elastic.co/guide/en/elasticsearch/reference/current/esql-commands.html
---

# {{esql}} processing commands [esql-processing-commands]

{{esql}} processing commands change an input table by adding, removing, or changing rows and columns.

:::{image} ../../images/processing-command.svg
:alt: A processing command changing an input table
:::

{{esql}} supports these processing commands:

:::{include} ../_snippets/lists/processing-commands.md
:::

:::{include} ../_snippets/commands/layout/change_point.md
:::

:::{include} ../_snippets/commands/layout/dissect.md
:::

:::{include} ../_snippets/commands/layout/drop.md
:::

:::{include} ../_snippets/commands/layout/enrich.md
:::

:::{include} ../_snippets/commands/layout/eval.md
:::

:::{include} ../_snippets/commands/layout/grok.md
:::

:::{include} ../_snippets/commands/layout/keep.md
:::

:::{include} ../_snippets/commands/layout/limit.md
:::

:::{include} ../_snippets/commands/layout/lookup-join.md
:::

:::{include} ../_snippets/commands/layout/mv_expand.md
:::

:::{include} ../_snippets/commands/layout/rename.md
:::

:::{include} ../_snippets/commands/layout/sort.md
:::

:::{include} ../_snippets/commands/layout/stats-by.md
:::

:::{include} ../_snippets/commands/layout/where.md
:::
