---
navigation_title: "Aggregation functions"
mapped_pages:
  - https://www.elastic.co/guide/en/elasticsearch/reference/current/esql-functions-operators.html#esql-agg-functions
---

# {{esql}} aggregation functions [esql-aggregation-functions]


The [`STATS`](/reference/query-languages/esql/commands/processing-commands.md#esql-stats-by) command supports these aggregate functions:

:::{include} ../_snippets/lists/aggregation-functions.md
:::

:::{include} ../_snippets/functions/layout/avg.md
:::

:::{include} ../_snippets/functions/layout/count.md
:::

:::{include} ../_snippets/functions/layout/count_distinct.md
:::

:::{include} ../_snippets/functions/layout/max.md
:::

:::{include} ../_snippets/functions/layout/median.md
:::

:::{include} ../_snippets/functions/layout/median_absolute_deviation.md
:::

:::{include} ../_snippets/functions/layout/min.md
:::

:::{include} ../_snippets/functions/layout/percentile.md
:::

:::{include} ../_snippets/functions/layout/st_centroid_agg.md
:::

:::{include} ../_snippets/functions/layout/st_extent_agg.md
:::

:::{include} ../_snippets/functions/layout/std_dev.md
:::

:::{include} ../_snippets/functions/layout/sum.md
:::

:::{include} ../_snippets/functions/layout/top.md
:::

:::{include} ../_snippets/functions/layout/values.md
:::

:::{include} ../_snippets/functions/layout/weighted_avg.md
:::

