---
navigation_title: "String functions"
mapped_pages:
  - https://www.elastic.co/guide/en/elasticsearch/reference/current/esql-functions-operators.html#esql-string-functions
---

# {{esql}} string functions [esql-string-functions]

{{esql}} supports these string functions:

:::{include} ../_snippets/lists/string-functions.md
:::


:::{include} ../_snippets/functions/layout/bit_length.md
:::

:::{include} ../_snippets/functions/layout/byte_length.md
:::

:::{include} ../_snippets/functions/layout/concat.md
:::

:::{include} ../_snippets/functions/layout/ends_with.md
:::

:::{include} ../_snippets/functions/layout/from_base64.md
:::

:::{include} ../_snippets/functions/layout/hash.md
:::

:::{include} ../_snippets/functions/layout/left.md
:::

:::{include} ../_snippets/functions/layout/length.md
:::

:::{include} ../_snippets/functions/layout/locate.md
:::

:::{include} ../_snippets/functions/layout/ltrim.md
:::

:::{include} ../_snippets/functions/layout/md5.md
:::

:::{include} ../_snippets/functions/layout/repeat.md
:::

:::{include} ../_snippets/functions/layout/replace.md
:::

:::{include} ../_snippets/functions/layout/reverse.md
:::

:::{include} ../_snippets/functions/layout/right.md
:::

:::{include} ../_snippets/functions/layout/rtrim.md
:::

:::{include} ../_snippets/functions/layout/sha1.md
:::

:::{include} ../_snippets/functions/layout/sha256.md
:::

:::{include} ../_snippets/functions/layout/space.md
:::

:::{include} ../_snippets/functions/layout/split.md
:::

:::{include} ../_snippets/functions/layout/starts_with.md
:::

:::{include} ../_snippets/functions/layout/substring.md
:::

:::{include} ../_snippets/functions/layout/to_base64.md
:::

:::{include} ../_snippets/functions/layout/to_lower.md
:::

:::{include} ../_snippets/functions/layout/to_upper.md
:::

:::{include} ../_snippets/functions/layout/trim.md
:::

