---
navigation_title: "Type conversion functions"
mapped_pages:
  - https://www.elastic.co/guide/en/elasticsearch/reference/current/esql-functions-operators.html#esql-type-conversion-functions
---

# {{esql}} type conversion functions [esql-type-conversion-functions]


::::{tip}
{{esql}} supports implicit casting from string literals to certain data types. Refer to [implicit casting](/reference/query-languages/esql/esql-implicit-casting.md) for details.

::::


{{esql}} supports these type conversion functions:

:::{include} ../_snippets/lists/type-conversion-functions.md
:::


:::{include} ../_snippets/functions/layout/to_boolean.md
:::

:::{include} ../_snippets/functions/layout/to_cartesianpoint.md
:::

:::{include} ../_snippets/functions/layout/to_cartesianshape.md
:::

:::{include} ../_snippets/functions/layout/to_dateperiod.md
:::

:::{include} ../_snippets/functions/layout/to_datetime.md
:::

:::{include} ../_snippets/functions/layout/to_date_nanos.md
:::

:::{include} ../_snippets/functions/layout/to_degrees.md
:::

:::{include} ../_snippets/functions/layout/to_double.md
:::

:::{include} ../_snippets/functions/layout/to_geopoint.md
:::

:::{include} ../_snippets/functions/layout/to_geoshape.md
:::

:::{include} ../_snippets/functions/layout/to_integer.md
:::

:::{include} ../_snippets/functions/layout/to_ip.md
:::

:::{include} ../_snippets/functions/layout/to_long.md
:::

:::{include} ../_snippets/functions/layout/to_radians.md
:::

:::{include} ../_snippets/functions/layout/to_string.md
:::

:::{include} ../_snippets/functions/layout/to_timeduration.md
:::

:::{include} ../_snippets/functions/layout/to_unsigned_long.md
:::

:::{include} ../_snippets/functions/layout/to_version.md
:::

